<?php
    $config = cmsConfig::getInstance();
    $core = cmsCore::getInstance();
?>
<!DOCTYPE html>
<html>
<head>
   <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
   <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <title><?php $this->title(); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-text.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-layout.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-gui.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-widgets.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-content.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-modal.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/fonts.css"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/jquery.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/jquery-modal.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/core.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/modal.js"); ?>
    <!--[if lt IE 9]>
        <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
        <script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
    <![endif]-->
    <?php $this->head(); ?>
    <style><?php include('options.css.php'); ?></style>
</head>
<body>
<div id="cloth">
     <?php if (!$config->is_site_on){ ?>
<div id="site_off_notice"><?php printf(ERR_SITE_OFFLINE_FULL, href_to('admin', 'settings', 'siteon')); ?>
</div>
        <?php } ?>
<div class="headmenu">
     <?php if($this->hasWidgetsOn('headmenu')) { ?>
     <?php $this->widgets('headmenu'); ?>
     <?php } ?>
</div>
<div class="topbar">
<div class="social">
      <a href="" class="twitter"></a>
      <a href="" class="facebook"></a>
      <a href="" class="googleplus"></a>
      <a href="" class="skype"></a>
      <a href="" class="mail"></a>
</div>
       <?php if($this->hasWidgetsOn('topbar')) { ?>
       <?php $this->widgets('topbar'); ?>
       <?php } ?>
</div>
<div class="toplogo"><a href="<?php echo href_to_home(); ?>"class="logotype"></a></div>
<div class="topmenu">
      <?php if($this->hasWidgetsOn('topmenu')) { ?>
      <?php $this->widgets('topmenu'); ?>
      <?php } ?>
</div>
<div class="top profmenu">
      <?php if($this->hasWidgetsOn('top')) { ?>
      <?php $this->widgets('top'); ?>
      <?php } ?>
</div>
<div id="leftside"<?php if($this->hasWidgetsOn('leftside1')) { ?> class="leftside"<?php } ?>>
      <?php if($this->hasWidgetsOn('leftside1')) { ?>
      <?php $this->widgets('leftside1'); ?>
      <?php } ?>
</div>
<div class="rightside">
      <?php if($this->hasWidgetsOn('rightside1')) { ?>
      <?php $this->widgets('rightside1'); ?>
      <?php } ?>
</div>
<div id="center"
      <?php if($this->hasWidgetsOn('leftside1') && $this->hasWidgetsOn('rightside1')) { ?> class="center740"<?php } ?>
      <?php if($this->hasWidgetsOn('leftside1')) { ?> class="left960"<?php } ?>
      <?php if($this->hasWidgetsOn('rightside1')) { ?> class="right960"<?php } ?> >
      <?php
                $messages = cmsUser::getSessionMessages();
                if ($messages){
                    ?>
<div class="sess_messages">
                        <?php
                            foreach($messages as $message){
                                echo $message;
                            }
                    ?>
</div>
                    <?php
                }
            ?>
      <?php if($this->hasWidgetsOn('center')) { ?>
      <?php $this->widgets('center'); ?>
      <?php } ?>
      <?php if ($this->isBody()){ ?>
      <?php if ($this->isBreadcrumbs()){ ?>
<div id="breadcrumbs">
      <?php $this->breadcrumbs(array('strip_last'=>false)); ?>
</div>
      <?php } ?>
      <?php $this->body(); ?>
      <?php } ?>
</div>
<div class="footer">
<ul>
    <li id="copyright">
                    <a href="<?php echo $this->options['owner_url'] ? $this->options['owner_url'] : href_to_home(); ?>">
                        <?php html($this->options['owner_name'] ? $this->options['owner_name'] : cmsConfig::get('sitename')); ?></a>
                    &copy;
                    <?php echo $this->options['owner_year'] ? $this->options['owner_year'] : date('Y'); ?>
                </li>
                <li id="info">
                    <span class="item">
                        <?php echo LANG_POWERED_BY_INSTANTCMS; ?>
                    </span>
                    <span class="item">
                        <?php echo LANG_ICONS_BY_FATCOW; ?>
                    </span>
                    <?php if ($config->debug && cmsUser::isAdmin()){ ?>
                        <span class="item">
                            SQL: <a href="#sql_debug" class="ajax-modal"><?php echo $core->db->query_count; ?></a>
                        </span>
                        <span class="item">
                            Cache: <?php echo cmsCache::getInstance()->query_count; ?></a>
                        </span>
                        <span class="item">
                            Mem: <?php echo round(memory_get_usage()/1024/1024, 2); ?> Mb
                        </span>
                    <?php } ?>
                </li>
</ul>
<?php if($this->hasWidgetsOn('footer')) { ?>
      <?php $this->widgets('footer'); ?>
      <?php } ?>
</div>
</div>
</body>
</html>
